---
title: "segLen"
excerpt: "Compute the length of the provided line segment."
layout: manual
---

Compute the length of the provided line segment.



```js
segLen(tag: TagIdentifier) -> number
```


### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| `tag` | [`TagIdentifier`](/docs/kcl/types#tag-identifier) | The line segment being queried by its tag | Yes |

### Returns

`number` 


### Examples

```js
exampleSketch = startSketchOn("XZ")
  |> startProfileAt([0, 0], %)
  |> angledLine({ angle = 60, length = 10 }, %, $thing)
  |> tangentialArc({ offset = -120, radius = 5 }, %)
  |> angledLine({ angle = -60, length = segLen(thing) }, %)
  |> close()

example = extrude(exampleSketch, length = 5)
```

![Rendered example of segLen 0](data:image/png;base64,[encoded data, 87276 characters])


